GetQueueInfoRequest (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: GetQueueInfoRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class GetQueueInfoRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest

@Public @Stable public abstract class GetQueueInfoRequest extends Object

The request sent by clients to get queue information from the `ResourceManager`.

See Also:
  - `ApplicationClientProtocol.getQueueInfo(GetQueueInfoRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetQueueInfoRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `getIncludeApplications()`
  Is information about active applications required?
  `abstract boolean`
  `getIncludeChildQueues()`
  Is information about child queues required?
  `abstract String`
  `getQueueName()`
  Get the queue name for which to get queue information.
  `abstract boolean`
  `getRecursive()`
  Is information on the entire child queue hierarchy required?
  `abstract String`
  `getSubClusterId()`
  Get SubClusterId.
  `static GetQueueInfoRequest`
  `newInstance(String queueName, boolean includeApplications, boolean includeChildQueues, boolean recursive)`
  `static GetQueueInfoRequest`
  `newInstance(String queueName, boolean includeApplications, boolean includeChildQueues, boolean recursive, String subClusterId)`
  `abstract void`
  `setIncludeApplications(boolean includeApplications)`
  Should we get fetch information about active applications?
  `abstract void`
  `setIncludeChildQueues(boolean includeChildQueues)`
  Should we fetch information about child queues?
  `abstract void`
  `setQueueName(String queueName)`
  Set the queue name for which to get queue information
  `abstract void`
  `setRecursive(boolean recursive)`
  Should we fetch information on the entire child queue hierarchy?
  `abstract void`
  `setSubClusterId(String subClusterId)`
  Set SubClusterId.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetQueueInfoRequest

    public GetQueueInfoRequest()

- ## Method Details

  - ### newInstance

    @Public @Stable public static GetQueueInfoRequest newInstance(String queueName, boolean includeApplications, boolean includeChildQueues, boolean recursive)

  - ### newInstance

    @Public @Stable public static GetQueueInfoRequest newInstance(String queueName, boolean includeApplications, boolean includeChildQueues, boolean recursive, String subClusterId)

  - ### getQueueName

    @Public @Stable public abstract String getQueueName()
    Get the queue name for which to get queue information.
    Returns:
      queue name for which to get queue information

  - ### setQueueName

    @Public @Stable public abstract void setQueueName(String queueName)
    Set the queue name for which to get queue information
    Parameters:
      `queueName` - queue name for which to get queue information

  - ### getIncludeApplications

    @Public @Stable public abstract boolean getIncludeApplications()
    Is information about active applications required?
    Returns:
      `true` if applications' information is to be included, else `false`

  - ### setIncludeApplications

    @Public @Stable public abstract void setIncludeApplications(boolean includeApplications)
    Should we get fetch information about active applications?
    Parameters:
      `includeApplications` - fetch information about active applications?

  - ### getIncludeChildQueues

    @Public @Stable public abstract boolean getIncludeChildQueues()
    Is information about child queues required?
    Returns:
      `true` if information about child queues is required, else `false`

  - ### setIncludeChildQueues

    @Public @Stable public abstract void setIncludeChildQueues(boolean includeChildQueues)
    Should we fetch information about child queues?
    Parameters:
      `includeChildQueues` - fetch information about child queues?

  - ### getRecursive

    @Public @Stable public abstract boolean getRecursive()
    Is information on the entire child queue hierarchy required?
    Returns:
      `true` if information about entire hierarchy is required, `false` otherwise

  - ### setRecursive

    @Public @Stable public abstract void setRecursive(boolean recursive)
    Should we fetch information on the entire child queue hierarchy?
    Parameters:
      `recursive` - fetch information on the entire child queue hierarchy?

  - ### getSubClusterId

    @Public @Stable public abstract String getSubClusterId()
    Get SubClusterId.
    Returns:
      SubClusterId.

  - ### setSubClusterId

    @Public @Stable public abstract void setSubClusterId(String subClusterId)
    Set SubClusterId.
    Parameters:
      `subClusterId` - SubClusterId.